#version 150 core

in vec2 textureCoord;

uniform sampler2D textureAlbedo;
uniform bool testAlpha;

void main() {
	float albedoAlpha = texture( textureAlbedo, textureCoord ).a;
	if ( ( testAlpha && albedoAlpha == 0.0f ) || ( !testAlpha && albedoAlpha < 1.0f ) ) {
		discard;
	}
}
