#version 150 core

layout(points) in;
layout(triangle_strip, max_vertices = 14) out;

in VERT_OUT {
    vec4 boundingBox[8];
    vec3 drawColor;
} geom_in[1];

out vec3 drawColor;

void main() {
	drawColor = geom_in[0].drawColor;

	gl_Position = geom_in[0].boundingBox[3];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[2];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[6];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[7];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[4];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[2];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[0];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[3];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[1];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[6];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[5];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[4];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[1];
	EmitVertex();
	gl_Position = geom_in[0].boundingBox[0];
	EmitVertex();
	EndPrimitive();
}
